package br.com.furutani.entities;

import java.io.Serializable;
import java.util.Date;
import java.util.Set;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.OneToMany;
import javax.persistence.Table;



@Entity
@Table(name = "cad_feed_rss")
public class FeedRSS implements Serializable{

	private static final long serialVersionUID = -1358954078174117200L;

	@Id @GeneratedValue
	private Long id;

	@Column(updatable = true, name = "titulo_rss_feed", nullable = false, length = 250)
	private String titulo;

	@Column(updatable = true, name = "link_rss_feed", nullable = false, length = 250)
	private String link;

	@Column(updatable = false, name = "desc_rss_feed", nullable = false, length = 250)
	private String descricao;

	@Column(updatable = false, name = "copy_rss_feed", nullable = false, length = 100)
	private String copyRight;
	
	@Column(updatable = true, name = "data_atu_feed", nullable = false)
	private Date ultimaLeitura;
	
	@Column(updatable = false, name = "url_rss_feed", nullable = false, length = 100, unique = true)
	private String url;

	@OneToMany(cascade=CascadeType.ALL, fetch=FetchType.LAZY)
    @JoinColumn(name="feed_fk")
	private Set<ItemRSS> itens;

	
	public String getUrl() {
		return url;
	}

	public void setUrl(String url) {
		this.url = url;
	}

	public Date getUltimaLeitura() {
		return ultimaLeitura;
	}

	public void setUltimaLeitura(Date ultimaLeitura) {
		this.ultimaLeitura = ultimaLeitura;
	}

	public Set<ItemRSS> getItens() {
		return itens;
	}

	public void setItens(Set<ItemRSS> itens) {
		this.itens = itens;
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getTitulo() {
		return titulo;
	}

	public void setTitulo(String titulo) {
		this.titulo = titulo;
	}

	public String getLink() {
		return link;
	}

	public void setLink(String link) {
		this.link = link;
	}

	public String getDescricao() {
		return descricao;
	}

	public void setDescricao(String descricao) {
		this.descricao = descricao;
	}

	public String getCopyRight() {
		return copyRight;
	}

	public void setCopyRight(String copyRight) {
		this.copyRight = copyRight;
	}

}
