package br.com.furutani.entities;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

@Entity
@Table(name = "cad_item_rss")
public class ItemRSS implements Serializable {

	private static final long serialVersionUID = -8712212186202734477L;
	
	@Id
	@Column(updatable = true, name = "desc_link_rss", nullable = false, length = 255)
	private String link;
	
	@Column(updatable = false, name = "desc_titu_rss", nullable = false, length = 250)
	private String titulo;
	
	@Column(updatable = true, name = "desc_item_rss", nullable = false, length = 2000)
	private String descricao;
	
	@Column(updatable = true, name = "data_publ_rss", nullable = true)
	private Date dataPublicacao;
	
	@ManyToOne
	@JoinColumn(name="feed_fk", insertable=false, updatable=false)
	private FeedRSS feedRSS;

	public ItemRSS() {
	}
	
	public ItemRSS(FeedRSS feedRSS) {
		this.setFeedRSS(feedRSS);
	}
	
	public FeedRSS getFeedRSS() {
		return feedRSS;
	}

	public void setFeedRSS(FeedRSS feedRSS) {
		this.feedRSS = feedRSS;
	}

	public String getLink() {
		return link;
	}

	public void setLink(String link) {
		this.link = link;
	}

	public String getTitulo() {
		return titulo;
	}

	public void setTitulo(String titulo) {
		this.titulo = titulo;
	}

	public String getDescricao() {
		return descricao;
	}

	public void setDescricao(String descricao) {
		this.descricao = descricao;
	}

	public Date getDataPublicao() {
		return dataPublicacao;
	}

	public void setDataPublicao(Date dataPublicao) {
		this.dataPublicacao = dataPublicao;
	}
	@Override
	public String toString() {
		return getTitulo() + "\n" + getDescricao() + "\n" + getLink();
	}
}
