package br.com.furutani.leitorrss;

import java.util.Timer;

import javax.servlet.ServletContextEvent;
import javax.servlet.ServletContextListener;

import org.apache.log4j.Logger;

/**
 * Application Lifecycle Listener implementation class TimerLeitor
 *
 */
public class TimerLeitorContextListener implements ServletContextListener {
	private Logger log = Logger.getLogger(TimerLeitorContextListener.class);
	
	private Timer timerLeitor;

    /**
     * Default constructor. 
     */
    public TimerLeitorContextListener() {
    }

	/**
     * @see ServletContextListener#contextInitialized(ServletContextEvent)
     */
    public void contextInitialized(ServletContextEvent arg0) {
    	log.info("[LeitorRSS]: Iniciando aplicao");
    	
    	timerLeitor = new Timer();
    	LeitorTimer timerTask = new LeitorTimer();
    	long delay = 3000;
    	long periodo = 1000 * 60 * 30; // O thread vai acordar de meia hora em meia hora
    	
    	timerLeitor.schedule(timerTask, delay, periodo);
    	
    	log.info("[LeitorRSS]: Aplicao Iniciada");
    }

	/**
     * @see ServletContextListener#contextDestroyed(ServletContextEvent)
     */
    public void contextDestroyed(ServletContextEvent arg0) {
    	log.info("[LeitorRSS]: Finalizando aplicao");
    	timerLeitor.cancel();
    }
	
}
