package br.com.furutani.ws;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;
import java.util.Iterator;
import java.util.List;

import org.apache.log4j.Logger;

import br.com.furutani.entities.ItemRSS;
import br.com.furutani.leitorrss.LeitorRSSService;

public class LeitorRSSWS {
	Logger log = Logger.getLogger(LeitorRSSWS.class);
	/**
	 * Busca os feeds do periodo informado
	 * @param dataInicial
	 *            Data do inicio do periodo no formato dd/mm/yyyyhh:mm (24h)
	 * @param dataFinal
	 *            Data do fim do periodo no formato dd/mm/yyyyhh:mm (24h)
	 * @return
	 */
	public Item[] ObterFeeds(String dataInicial, String dataFinal) {
		SimpleDateFormat sdf = new SimpleDateFormat("dd/MM/yyyyHH:mm");
		SimpleDateFormat dataFormat = new SimpleDateFormat("dd/MM/yyyy HH:mm");
		LeitorRSSService leitorRSSService = new LeitorRSSService();
		Item[] arrayFeeds = null;
		try {
			Date df = sdf.parse(dataFinal);
			Date di = sdf.parse(dataInicial);
			Calendar c1 = Calendar.getInstance();
			Calendar c2 = Calendar.getInstance();
			
			c1.setTime(di);
			c2.setTime(df);
			
			List<ItemRSS> feeds = leitorRSSService.buscarFeeds(c1, c2);
			
			Iterator<ItemRSS> iterator = feeds.iterator();
			arrayFeeds = new Item[feeds.size()];
			int idx = 0;
			while(iterator.hasNext()){
				ItemRSS f = iterator.next();
				Item i = new Item();
				i.setDescricao(f.getDescricao());
				i.setLink(f.getLink());
				i.setTitulo(f.getTitulo());
				i.setDataPublicao(dataFormat.format(f.getDataPublicao()));
				arrayFeeds[idx++] = i;
			}
			
			log.info("Itens retornados: " + feeds.size());
		} catch (ParseException e) {
			e.printStackTrace();
		}
		return arrayFeeds;
	}
	
	

}
